Package org.apache.sling.scripting.sightly.impl.engine

# Class SightlyScriptEngine

java.lang.Object
javax.script.AbstractScriptEngine
org.apache.sling.scripting.api.AbstractSlingScriptEngine
org.apache.sling.scripting.sightly.impl.engine.SightlyScriptEngine

All Implemented Interfaces:
  `Compilable`, `ScriptEngine`

public class SightlyScriptEngine extends org.apache.sling.scripting.api.AbstractSlingScriptEngine implements Compilable
The HTL Script engine

## Field Summary

### Fields inherited from class javax.script.AbstractScriptEngine

`context`

### Fields inherited from interface javax.script.ScriptEngine

`ARGV, ENGINE, ENGINE_VERSION, FILENAME, LANGUAGE, LANGUAGE_VERSION, NAME`

## Method Summary

Modifier and Type
Method
Description
`CompiledScript`
`compile(Reader script)`
`CompiledScript`
`compile(String script)`
`Object`
`eval(Reader reader, ScriptContext scriptContext)`
`SightlyEngineConfiguration`
`getConfiguration()`
`ExtensionRegistryService`
`getExtensionRegistryService()`

### Methods inherited from class org.apache.sling.scripting.api.AbstractSlingScriptEngine

`createBindings, eval, getFactory`

### Methods inherited from class javax.script.AbstractScriptEngine

`eval, eval, eval, eval, get, getBindings, getContext, getScriptContext, put, setBindings, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### compile

public CompiledScript compile(String script) throws ScriptException

Specified by:
  `compile` in interface `Compilable`
Throws:
  `ScriptException`

### compile

public CompiledScript compile(Reader script) throws ScriptException

Specified by:
  `compile` in interface `Compilable`
Throws:
  `ScriptException`

### eval

public Object eval(Reader reader, ScriptContext scriptContext) throws ScriptException

Specified by:
  `eval` in interface `ScriptEngine`
Throws:
  `ScriptException`

### getExtensionRegistryService

public ExtensionRegistryService getExtensionRegistryService()

### getConfiguration

public SightlyEngineConfiguration getConfiguration()